[SCM] GNU Autoconf source repository branch, master, updated. v2.63b-86-gf256382

"Eric Blake" <[email protected]>
Newsgroups gmane.comp.sysutils.autoconf.cvs
Message-ID <[email protected]>
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Autoconf source repository".

http://git.sv.gnu.org/gitweb/?p=autoconf.git;a=commitdiff;h=f2563825193e02c183cf831efff4db7f0d6d574a

The branch, master has been updated
       via  f2563825193e02c183cf831efff4db7f0d6d574a (commit)
       via  d8db042ad03bd140212c528077f9b5589da91d49 (commit)
       via  2b5b0dda48597bae5f21209ed015cc0cad61ed24 (commit)
      from  c633d4a39a0385a3534ab154390943d5de50b3ff (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit f2563825193e02c183cf831efff4db7f0d6d574a
Author: Eric Blake <[email protected]>
Date:   Fri Jul 10 06:11:24 2009 -0600

    Document that $srcdir can be used during configure.
    
    * doc/autoconf.texi (Preset Output Variables): Add a paragraph.
    * THANKS: Update.
    Reported by Monty Taylor.
    
    Signed-off-by: Eric Blake <[email protected]>

commit d8db042ad03bd140212c528077f9b5589da91d49
Author: Eric Blake <[email protected]>
Date:   Mon Jul 13 12:54:19 2009 -0600

    Disable asynchronous job notification for parallel tests.
    
    * lib/autotest/general.m4 (AT_INIT) <Driver loop>: Turn off notify
    mode, since zsh leaves it on after 'emulate sh'.
    * doc/autoconf.texi (Limitations of Builtins) <set>: Document that
    job control options are not portable.
    
    Signed-off-by: Eric Blake <[email protected]>

commit 2b5b0dda48597bae5f21209ed015cc0cad61ed24
Author: Eric Blake <[email protected]>
Date:   Mon Jul 13 22:03:27 2009 -0600

    Guarantee that exit status trumps output matching.
    
    * doc/autoconf.texi (Writing Testsuites) <AT_CHECK>: Document this
    better.
    * tests/autotest.at (Skip, parallel skip): Enhance tests.
    
    Signed-off-by: Eric Blake <[email protected]>

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog               |   18 ++++++++++++++++++
 THANKS                  |    1 +
 doc/autoconf.texi       |   42 ++++++++++++++++++++++++++++++++++++++++--
 lib/autotest/general.m4 |    3 ++-
 tests/autotest.at       |    4 ++--
 5 files changed, 63 insertions(+), 5 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index f8df09e..a2450bd 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,23 @@
 2009-07-13  Eric Blake  <[email protected]>
 
+	Document that $srcdir can be used during configure.
+	* doc/autoconf.texi (Preset Output Variables): Add a paragraph.
+	* THANKS: Update.
+	Reported by Monty Taylor.
+
+2009-07-13  Eric Blake  <[email protected]>
+
+	Disable asynchronous job notification for parallel tests.
+	* lib/autotest/general.m4 (AT_INIT) <Driver loop>: Turn off notify
+	mode, since zsh leaves it on after 'emulate sh'.
+	* doc/autoconf.texi (Limitations of Builtins) <set>: Document that
+	job control options are not portable.
+
+	Guarantee that exit status trumps output matching.
+	* doc/autoconf.texi (Writing Testsuites) <AT_CHECK>: Document this
+	better.
+	* tests/autotest.at (Skip, parallel skip): Enhance tests.
+
 	Fix nits in recent patches.
 	* configure.ac (ac_cv_dir_trailing_space): Avoid $status, for
 	zsh.
diff --git a/THANKS b/THANKS
index 30f1b2d..1c10fe4 100644
--- a/THANKS
+++ b/THANKS
@@ -257,6 +257,7 @@ Mikulas Patocka             ?
 Miles Bader                 [email protected]
 Mo DeJong                   [email protected]
 Momchil Velkov              [email protected]
+Monty Taylor                [email protected]
 Morten Eriksen              [email protected]
 Motoyuki Kasahara           [email protected]
 Nathanael Nerode            [email protected]
diff --git a/doc/autoconf.texi b/doc/autoconf.texi
index aa6ceba..34df30b 100644
--- a/doc/autoconf.texi
+++ b/doc/autoconf.texi
@@ -2180,7 +2180,6 @@ is what the @command{configure} option @option{--srcdir} sets.
 The name of the top source directory, assuming that the working
 directory is the current build directory.
 
-
 @item ac_top_build_prefix
 The name of the top build directory, assuming that the working
 directory is the current build directory.
@@ -2332,6 +2331,15 @@ directories.  Below are listed the other preset ones, many of which are
 precious variables (@pxref{Setting Output Variables},
 @code{AC_ARG_VAR}).
 
+The preset variables which are available during @file{config.status}
+(@pxref{Configuration Actions}) may also be used during
+@command{configure} tests.  For example, it is permissible to reference
+@samp{$srcdir} when constructing a list of directories to pass via
+option @option{-I} during a compiler feature check.  When used in this
+manner, coupled with the fact that @command{configure} is always run
+from the top build directory, it is sufficient to use just
+@samp{$srcdir} instead of @samp{$top_srcdir}.
+
 @c Just say no to ASCII sorting!  We're humans, not computers.
 @c These variables are listed as they would be in a dictionary:
 @c actor
@@ -16257,6 +16265,35 @@ Thus, when writing a script in M4sh, rather than trying to rely on
 @samp{set -e}, it is better to append @samp{|| AS_EXIT} to any
 statement where it is desirable to abort on failure.
 
+@cindex @command{set -b}
+@cindex @command{set -m}
+Job control is not provided by all shells, so the use of @samp{set -m}
+or @samp{set -b} must be done with care.  When using @command{zsh} in
+native mode, asynchronous notification (@samp{set -b}) is enabled by
+default, and using @samp{emulate sh} to switch to Posix mode does not
+clear this setting (although asynchronous notification has no impact
+unless job monitoring is also enabled).  Also, @command{zsh} 4.3.10 and
+earlier have a bug where job control can be manipulated in interactive
+shells, but not in subshells or scripts.  Furthermore, some shells, like
+@command{pdksh}, fail to treat subshells as interactive, even though the
+parent shell was.
+
+@example
+$ @kbd{echo $ZSH_VERSION}
+4.3.10
+$ @kbd{set -m; echo $?}
+0
+$ @kbd{zsh -c 'set -m; echo $?'}
+set: can't change option: -m
+$ @kbd{(set -m); echo $?}
+set: can't change option: -m
+1
+$ @kbd{pdksh -ci 'echo $-; (echo $-)'}
+cim
+c
+@end example
+
+
 @item @command{shift}
 @c ------------------
 @prindex @command{shift}
@@ -22750,7 +22787,8 @@ according to the rules of that literal.  Otherwise, the value of the
 parameter is treated as text that must exactly match the output given by
 @var{commands} on standard out and standard error (including an empty
 parameter for no output); any differences are captured in the testsuite
-log and the test is failed.  The difference between @code{AT_CHECK} and
+log and the test is failed (unless an unexpected exit status of 77
+skipped the test instead).  The difference between @code{AT_CHECK} and
 @code{AT_CHECK_UNQUOTED} is that only the latter performs shell variable
 expansion (@samp{$}), command substitution (@samp{`}), and backslash
 escaping (@samp{\}) on comparison text given in the @var{stdout} and
diff --git a/lib/autotest/general.m4 b/lib/autotest/general.m4
index b9beb0e..cf88b99 100644
--- a/lib/autotest/general.m4
+++ b/lib/autotest/general.m4
@@ -1250,7 +1250,8 @@ dnl shell to start each parallel task as its own shell job, thus as a new
 dnl process group leader.  We then send the signal to all new process groups.
 
 dnl Do we have job control?
-if (set -m && set +m) >/dev/null 2>&1; then
+if (set -m && set +m && set +b) >/dev/null 2>&1; then
+  set +b
   at_job_control_on='set -m' at_job_control_off='set +m' at_job_group=-
 else
   at_job_control_on=: at_job_control_off=: at_job_group=
diff --git a/tests/autotest.at b/tests/autotest.at
index 0063c4a..57382ca 100644
--- a/tests/autotest.at
+++ b/tests/autotest.at
@@ -259,7 +259,7 @@ AT_CHECK_AT_TEST([Fallacy],
   [AT_CHECK([grep failed micro-suite.log], [], [ignore])])
 
 AT_CHECK_AT_TEST([Skip],
-  [AT_CHECK([exit 77], 0, [], [])],
+  [AT_CHECK([echo output; echo irrelevant >&2; exit 77], 0, [mismatch], [])],
   [], [], [], [], [],
   [AT_CHECK([grep skipped micro-suite.log], [], [ignore])])
 
@@ -1155,7 +1155,7 @@ AT_CHECK_AT_TEST([parallel fallacy],
   [AT_CHECK([grep failed micro-suite.log], [], [ignore])], [-j])
 
 AT_CHECK_AT_TEST([parallel skip],
-  [AT_CHECK([exit 77], 0, [], [])],
+  [AT_CHECK([echo output; echo irrelevant >&2; exit 77], 0, [mismatch], [])],
   [], [], [], [], [AT_SKIP_PARALLEL_TESTS],
   [AT_CHECK([grep skipped micro-suite.log], [], [ignore])], [-j])
 


hooks/post-receive
-- 
GNU Autoconf source repository
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.